#include <bits/stdc++.h>
using namespace std;
typedef long long int ll;

struct Pt{
    ll x,y;
    bool operator <(const Pt &p) const {
        return x < p.x || (x == p.x && y < p.y);
    }
    Pt operator-(){return{-x,-y};}
    Pt operator+(const Pt&p){return{x+p.x,y+p.y};}
    Pt operator-(const Pt&p){return{x-p.x,y-p.y};}
    friend ostream &operator<<(ostream &os, const Pt&a){
        os<<a.x<<' '<<a.y;
        return os;
    }
    friend istream &operator>>(istream &is, Pt&a){
        is>>a.x>>a.y;
        return is;
    }
};

vector<Pt> points;
set<Pt> exists;

bool test(Pt dir){
    for(Pt &p:points){
        if(!exists.count(p+dir) && !exists.count(p-dir)){
            return false;
        }
    }
    return true;
}

int main(){
    ll N;cin>>N;
    points=vector<Pt>(N);
    for(Pt &p:points)cin>>p;
    for(Pt p:points)exists.insert(p);
    set<Pt> resset;
    for(int i=1; i<N; ++i){
        Pt diff=points[i]-points[0];
        if(test(diff)){
            if(diff.x<0)diff=-diff;
            if(diff.x==0)diff.y=abs(diff.y);
            resset.insert(diff);
        }
    }
    cout<<2*resset.size()<<endl;

    return 0;
}

